Skip to main content
`Ctrl`+`K`

# MFNMonitorSetFromOptions

Sets a monitor function and viewer appropriate for the type indicated by the user.

## Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNMonitorSetFromOptions(MFN mfn,const char opt[],const char name[],void *ctx)

Collective

## Input Parameters

- mfn - the matrix function solver context

- opt - the command line option for this monitor

- name - the monitor type one is seeking

- ctx - an optional user context for the monitor, or NULL

## See Also

MFN: Matrix Function, `MFNMonitorSet()`

## Level

developer

## Location

src/mfn/interface/mfnopts.c

Index of all MFN routines Table of Contents for all manual pages Index of all manual pages